# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media
Interface IMediaContent

All Superinterfaces:
  IContent, IOutOfLineContent

All Known Implementing Classes:
  MediaContent

    public interface IMediaContent

extends IOutOfLineContent

The IMediaContent interface defines the common interface for media content.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gdata.data.IContent
`IContent.Type`

Method Summary
`MediaSource` `getMediaSource()` Returns the media source associated with the content or `null`.
`void` `setMediaSource(MediaSource v)` Sets the media source associated with the content (may be `null` if no supplied content).

Methods inherited from interface com.google.gdata.data.IOutOfLineContent
`getEtag, getMimeType, getUri`

Methods inherited from interface com.google.gdata.data.IContent
`getLang, getType`

Method Detail

### getMediaSource

    MediaSource getMediaSource()

  Returns the media source associated with the content or `null`.

### setMediaSource

    void setMediaSource(MediaSource v)

  Sets the media source associated with the content (may be `null` if no supplied content).